summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDonald Carr2016-03-01 16:24:30 -0800
committerDonald Carr2016-03-01 16:30:22 -0800
commit6b4df41d3320a65c199951737354281d4bc0284e (patch)
treef9f0de188fd4c12659df653fa2a06f32495ae5fa
downloadaur-6b4df41d3320a65c199951737354281d4bc0284e.tar.gz
Initial commit of qcec
Change-Id: I03c0235b343379696e29eb6b03b3004238fd36d2
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD46
2 files changed, 65 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ebbc7a0a74a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+# Generated by mksrcinfo v8
+# Wed Mar 2 00:24:20 UTC 2016
+pkgbase = qcec
+ pkgdesc = Qt CEC keyboard plugin for the Raspberry Pi
+ pkgver = 0.0.1
+ pkgrel = 1
+ url = http://www.github.com/sirspudd/qcec
+ arch = any
+ license = GPL3
+ makedepends = qt-sdk-raspberry-pi
+ depends = qt-sdk-raspberry-pi-target-libs
+ provides = qcec
+ conflicts = qcec
+ replaces = qcec
+ options = !strip
+ source = git://github.com/sirspudd/qcec.git
+ sha256sums = SKIP
+
+pkgname = qcec
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..52f01f16d21
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,46 @@
+# Contributer: Donald Carr <sirspudd@gmail.com>
+
+set -e
+
+_pi_ver=2
+pkgname="qcec"
+pkgver=0.0.1
+pkgrel=1
+provides=("$pkgname")
+conflicts=("$pkgname")
+replaces=("$pkgname")
+pkgdesc="Qt CEC keyboard plugin for the Raspberry Pi"
+arch=("any")
+url="http://www.github.com/sirspudd/qcec"
+license=("GPL3")
+makedepends=("qt-sdk-raspberry-pi${_pi_ver}")
+depends=("qt-sdk-raspberry-pi${_pi_ver}-target-libs")
+source=("git://github.com/sirspudd/${pkgname}.git")
+sha256sums=("SKIP")
+options=('!strip')
+
+build() {
+ local repo_src=${srcdir}/${pkgname}
+ local qmake=/opt/qt-sdk-raspberry-pi${_pi_ver}/bin/qmake
+
+ # cmake gets thrown by env vars
+ unset LDFLAGS
+ unset CFLAGS
+ unset CXXFLAGS
+
+ cd ${repo_src}
+ $qmake
+ make
+}
+
+package() {
+ local repo_src=${srcdir}/${pkgname}
+ local deploy_path=${pkgdir}/opt/qt-sdk-raspberry-pi${_pi_ver}/plugins/generic
+ local ceclib_deploy_path=${pkgdir}/usr/lib
+
+ mkdir -p $deploy_path
+ mkdir -p ${ceclib_deploy_path}
+
+ cp ${repo_src}/out/* ${deploy_path}
+ cp -a ${repo_src}/local/lib/libcec* ${ceclib_deploy_path}
+}